Next Commerce
Products

Products Image Delete

Delete an image of the product.

DELETE
/products/{id}/images/{imageId}/

Authorization

oauth2 catalogue:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: catalogue:write

Path Parameters

id*integer

A unique integer value identifying this Product.

imageId*string
Match^\d+$

Header Parameters

X-29next-API-Version*string
Default"2023-02-10"
Value in"2023-02-10"

Response Body

curl -X DELETE "https://example.29next.store/api/admin/products/0/images/string/" \
  -H "X-29next-API-Version: 2023-02-10" \
  -H "Authorization: Bearer "
Empty